Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.data
Class PopulationAccess

    java.lang.Object
      org.esupportail.portal.channels.CIntranet.data.PopulationAccess

public class PopulationAccess
extends java.lang.Object

PopulationAccess
Réalise les opérations relatives aux population dans la base de données
(c)Copyright ESup-Portail 2004

Version:
  $Revision: 1.1.2.3 $
Author:
  Mathieu Larchet

Constructor Summary
`PopulationAccess()`

Method Summary
`static void` | `addIntranetEntity(org.esupportail.portal.utils.database.Query query, Entity en, java.lang.String id)` Ajoute une entité à la population d'un intranet
`static java.util.List` | `getIntranetEntities(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Retourne la liste des entités d'un intranet
`static void` | `removeAllIntranetEntities(org.esupportail.portal.utils.database.Query query, java.lang.String id)` Supprime toutes les entités de la population d'un intranet
`static void` | `removeIntranetEntity(org.esupportail.portal.utils.database.Query query, Entity en, java.lang.String id)` Supprime une entité de la population d'un intranet

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PopulationAccess

    public PopulationAccess()

Method Detail

### getIntranetEntities

    public static java.util.List getIntranetEntities(org.esupportail.portal.utils.database.Query query,
                                                     java.lang.String id)
                                              throws DataException

  Retourne la liste des entités d'un intranet

  Parameters:
    `query` - la connexion à utiliser
    `id` - l'identifiant de l'intranet
  Returns:
    entities La liste des entités
  Throws:
    `DataException`

### addIntranetEntity

    public static void addIntranetEntity(org.esupportail.portal.utils.database.Query query,
                                         Entity en,
                                         java.lang.String id)
                                  throws DataException

  Ajoute une entité à la population d'un intranet

  Parameters:
    `query` - la connexion à utiliser
    `en` - l'entité à ajouter
    `id` - l'identifiant de l'intranet
  Throws:
    `DataException`

### removeIntranetEntity

    public static void removeIntranetEntity(org.esupportail.portal.utils.database.Query query,
                                            Entity en,
                                            java.lang.String id)
                                     throws DataException

  Supprime une entité de la population d'un intranet

  Parameters:
    `query` - la connexion à utiliser
    `en` - l'entité à supprimer
    `id` - l'identifiant de l'intranet
  Throws:
    `DataException`

### removeAllIntranetEntities

    public static void removeAllIntranetEntities(org.esupportail.portal.utils.database.Query query,
                                                 java.lang.String id)
                                          throws DataException

  Supprime toutes les entités de la population d'un intranet

  Parameters:
    `query` - la connexion à utiliser
    `id` - l'identifiant de l'intranet
  Throws:
    `DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD